aboutsummaryrefslogtreecommitdiff
path: root/net/powerdns/pkg-deinstall
diff options
context:
space:
mode:
Diffstat (limited to 'net/powerdns/pkg-deinstall')
-rw-r--r--net/powerdns/pkg-deinstall26
1 files changed, 26 insertions, 0 deletions
diff --git a/net/powerdns/pkg-deinstall b/net/powerdns/pkg-deinstall
new file mode 100644
index 000000000000..ff77eb95919b
--- /dev/null
+++ b/net/powerdns/pkg-deinstall
@@ -0,0 +1,26 @@
+#!/bin/sh
+# $OpenBSD$
+#
+# powerdns de-installation
+
+set -e
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+PREFIX=${PKG_PREFIX:-/usr/local}
+CONFIG_DIR=${SYSCONFDIR}
+CONFIG_FILE=$CONFIG_DIR/pdns.conf
+
+if [ -f ${CONFIG_FILE} ]; then
+ echo
+ echo "+---------------"
+ echo "| To completely deinstall the $1 package you need"
+ echo "| to perform these steps as root:"
+ echo "|"
+ echo "| rm -rf $CONFIG_FILE"
+ echo "|"
+ echo "| Do not do this if you plan on re-installing $1"
+ echo "| at some future time."
+ echo "+---------------"
+ echo
+fi
+
+exit 0